Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ConstantExpressionExtractor

- groovy.org.codenarc.rule.groovyism.ConstantExpressionExtractor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<org.codehaus.groovy.ast.expr.ConstantExpression>` | `extractFrom(org.codehaus.groovy.ast.AnnotationNode annotationNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @SuppressWarnings('UseCollectMany') //collectMany is not available in Groovy 1.7.5 List<org.codehaus.groovy.ast.expr.ConstantExpression> extractFrom(org.codehaus.groovy.ast.AnnotationNode annotationNode)